_G.AntiBirthdayHeal = _G.AntiBirthdayHeal or {}
AntiBirthdayHeal._has_zerk = false

if RequiredScript == "lib/managers/menumanager" then
	function AntiBirthdayHeal:has_zerk()
	    if managers.player:has_category_upgrade("player", "damage_health_ratio_multiplier") or managers.player:has_category_upgrade("player", "melee_damage_health_ratio_multiplier") then
	        return true
	    end
	    return false
	end
end

if RequiredScript == "lib/units/beings/player/playerinventory" then
	Hooks:PostHook(PlayerInventory,"init", "anti_heal_init", 
	function(self, ...)
		local is_player = managers.player:player_unit() == self._unit
		AntiBirthdayHeal._has_zerk = AntiBirthdayHeal:has_zerk()
	end 
)
end

if RequiredScript == "lib/mutators/mutatorbirthday" then
	function MutatorBirthday.activate_health_refresh_buff()
		if managers.mutators:is_mutator_active(MutatorBirthday) then
			local unit = managers.player:player_unit()
			local unit_damage = alive(unit) and unit:character_damage() or nil

			if unit_damage then
				local td = tweak_data.mutators.birthday.buffs.health_refresh

				if AntiBirthdayHeal._has_zerk then
					unit_damage:restore_health(0, true)
				else
					unit_damage:restore_health(tweak_data.mutators.birthday.buffs.health_refresh.amount, true)
					managers.hud:add_buff("recover_health", "hud_buff_birthday_recover_health", td.color, 2)
				end
			end
		end
	end
end